EDIT - feature request #7509

Aggregate and persist specimen character data from character matrix

06/25/2018 10:18 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

Currently we only have a temporary aggregation row and the aggregated values are not persisted.

For persisting the aggregated data a new taxon description should be created at a common parent taxon node i.e. a taxon node that
is direct or indirect parent to all the taxon nodes belonging to the descriptive data set. When invoking the aggregation routine either
the common parent node is chosen or a new taxon is created that is a direct child of the common parent node.

Related issues:

Related to EDIT - feature request #7597: Aggregate and persist descriptions o...

Closed

Associated revisions

Revision d2540808 - 06/25/2018 10:21 AM - Patrick Plitzner

ref #7509 Add service method for common parent taxon node

Revision 65890142 - 06/26/2018 11:13 AM - Patrick Plitzner

ref #7509 Implement service method for common parent taxon node + test

Revision 1b5e778c - 07/10/2018 01:14 PM - Patrick Plitzner

ref #7509 Generalize method parameter to List

Revision da7cc762 - 07/10/2018 04:51 PM - Patrick Plitzner
ref #7509 Adapt aggregation method parameter list

Revision 25bd222a - 07/10/2018 04:52 PM - Patrick Plitzner

ref #7509 Add prototype aggregation function to character matrix

Revision c4606d40 - 07/10/2018 06:26 PM - Patrick Plitzner

ref #7509 aggregate quant. and categorical data (simple concatenation)

Revision 1acb2d39 - 07/10/2018 06:41 PM - Patrick Plitzner
ref #7509 Add "Aggregate" button to character matrix

e aggregation will create a description on the common parent taxon of all taxa included in the descriptive data set OR the chosen taxon of the

selection dialog

Revision fe042ecb - 07/11/2018 01:03 PM - Patrick Plitzner
ref #7509 Fix potential NPE

Revision 97ed6049 - 07/11/2018 01:05 PM - Patrick Plitzner
ref #7509 Enhance aggregation dialog

Revision 5267abee - 07/27/2018 04:09 PM - Patrick Plitzner
ref #7509 Add "computed" flag to description

History

#1 - 07/27/2018 03:27 PM - Patrick Plitzner
- Related to feature request #7597: Aggregate and persist descriptions on taxon level added

#2 - 12/10/2018 09:38 AM - Patrick Plitzner

- Status changed from New to Closed

- Target version changed from Unassigned CDM tickets to Release 5.3
- % Done changed from 0 to 100

This has already been solved.

Aggregated descriptions are saved in the DescriptiveDataSet and shown in the character matrix.
